Subject: Re: [PATCH] Prefix List patch against 2.5.70

From: Krishna Kumar <[email-masked]>
Date: Tue, 17 Jun 2003 13:46:01 -0700

Hi Dave and Yoshfuji,

I have a question about the following, which seems to be the
approach both of you prefer. I thought we need a new routing
message type called RTM_GETPLIST which will return full prefix
list. If you use RTA_RA6INFO, then should that trigger only
when the prefix list has changed (add or delete) ? Should I
have both interfaces, one for returning entire list (RTM) and
one for changes in prefix list (RTA) ?

Please let me know if my understanding is correct.

Thanks,

- KK

David S. Miller wrote:
>    From: YOSHIFUJI Hideaki / 吉藤英明 <[email-masked]>
>    Date: Sat, 31 May 2003 11:02:49 +0900 (JST)
>    
>    Again, what I proposed was to store prefix information on fib with 
>    some flags to represent advertised by routers and give user-space 
>    the RA information using new rtattr (RTA_RA6INFO or something like that).
> 
> This sounds very reasonable.
>